# flatpak build-bundle

flatpak

Developer
Alexander
Larsson
alexl@redhat.com
flatpak build-bundle
1

# flatpak-build-bundle

Create a single-file bundle from a local repository

                    flatpak build-bundle
                    OPTION
                    LOCATION
                    FILENAME
                    NAME
                    BRANCH

## Description

Creates a single-file named FILENAME for the application (or runtime) named NAME in the repository at LOCATION. If a BRANCH is specified, this branch of the application is used.

The collection ID set on the repository at LOCATION (if set) will be used for the bundle.

Unless `--oci` is used, the format of the bundle file is that of an ostree static delta (against an empty base) with some flatpak specific metadata for the application icons and appdata.

## Options

The following options are understood:

`-h`
`--help`

  Show help options and exit.

`--runtime`

  Export a runtime instead of an application.

`--arch=ARCH`

  The arch to create a bundle for. See `flatpak --supported-arches` for architectures supported by the host.

`--repo-url=URL`

  The URL for the repository from which the application can be updated. Installing the bundle will automatically configure a remote for this URL.

`--runtime-repo=URL`

  The URL for a `.flatpakrepo` file that contains the information about the repository that supplies the runtimes required by the app.

`--gpg-keys=FILE`

  Add the GPG key from FILE (use - for stdin).

`--gpg-homedir=PATH`

  GPG Homedir to use when looking for keyrings.

`--from-commit=COMMIT`

  The OSTree commit to create a delta bundle from.

`--oci`

  Export to an OCI image instead of a Flatpak bundle.

`-v`
`--verbose`

  Print debug information during command processing.

`--ostree-verbose`

  Print OSTree debug information during command processing.

## Examples

`$ flatpak build-bundle /var/lib/flatpak/repo gnome-calculator.flatpak org.gnome.Calculator stable`

`$ flatpak build-bundle ~/.local/share/flatpak/repo gnome-calculator.flatpak org.gnome.Calculator stable`

## See also

ostree 1, flatpak 1, flatpak-build-init 1, flatpak-build 1, flatpak-build-finish 1, flatpak-build-import-bundle 1, flatpak-build-update-repo 1